API ReferenceCompanions
/public/companions
Returns a list of companions that you have created in the current project. These are your custom companions, not Napster's pre-built stock companions.
Returns a list of companions that you have created in the current project. These are your custom companions, not Napster's pre-built stock companions.
Query Parameters
statuses?array<>
personaType?string
Value in
"digitalTwin" | "companion"ethnicity?string
gender?string
Value in
"male" | "female" | "nonBinary"search?string
tags?
pageIndex?integer
Format
int32pageSize?integer
Format
int32Header Parameters
X-API-Version?string
Response Body
application/problem+json
application/json
application/json
curl -X GET "https://companion-api.napster.com/public/companions"{
"items": [
{
"id": "string",
"firstName": "string",
"lastName": "string",
"previewUrl": "string",
"videoLoopUrl": "string",
"ethnicity": "string",
"gender": "string",
"headline": "string",
"tags": {
"property1": "string",
"property2": "string"
},
"status": "pending",
"createdAt": 0,
"externalClientId": "string",
"versions": [
"v1"
]
}
],
"filteredCount": 0,
"totalCount": 0,
"pageIndex": 0,
"pageSize": 0,
"search": "string"
}[
{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}
]{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}